# include <Moves/CapturingMove.h>
# include <CapturingMoveTest.h>
using namespace Alice;
CPPUNIT_TEST_SUITE_REGISTRATION( CapturingMoveTest );

void
CapturingMoveTest::capturingMove()
{
  std::string before("8/8/8/8/8/8/8/Kq6");
  
  Square a1(0,0);
  Square b1(1,0);
  CapturingMove move(a1, b1);
  std::string after("8/8/8/8/8/8/8/1K6");
  
  doTest(before, after, move);
};
